Bug 1284567 - Spice fails to connect to multiple VMs
Spice fails to connect to multiple VMs
Status: NEW
Product: Virtualization Tools
Classification: Community
Component: virt-manager (Show other bugs)
unspecified
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Cole Robinson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-23 10:21 EST by dgersting
Modified: 2015-11-30 03:57 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Debug log from virt-manager while reproducing bug (11.96 KB, text/plain)
2015-11-24 17:22 EST, dgersting
no flags Details

  None (edit)
Description dgersting 2015-11-23 10:21:14 EST
Description of problem:
When multiple VMs are running/open virt-manager seems to be unable to connect to the spice server for a given VM. I am able, however, to connect using virt-viewer from the command line without issue.

Version-Release number of selected component (if applicable):
OS: Fedora 23
Virt-Manager: 1.2.1
Virt-Viewer: 2.02.fc23


How reproducible:
Fairly consistently but not 100% isolated yet


Steps to Reproduce: (not 100%
1. Start with an empty set of VMs
2. Install/Setup test VM (in my case I'm using RHEL 6.7 VMs)
3. Observe the console connects just fine and as expected
4. Create additional VMs or clone VM from step 2 few times
5. Open all the VMs and observe the connection state of the console window


Actual results:
VM console tab either sits at a blank screen forever (regardless to giving it focus and input) or sits with a 'Connecting to graphical console for guest' message forever.


Expected results:
The console tab connects to the Spice server and presents the VM's console to be interacted with


Additional info:
I'm using SSH (with ssh keys) to connect to a remove KVM server (no local KVM), and am able to connect without issue using virt-viewer by passing the SSH connect string being used by virt-manager and the UUID of the VM. 

I've not been able to isolate the exact steps to reproduce with 100% accuracy, but it seems to be that the longer you use virt-manager the more common this connection issue presents itself as if it's an issue of stale connections. (But I hesitate to say that as it might be a red herring)
Comment 1 Cole Robinson 2015-11-23 19:07:14 EST
Can you check ~/.cache/virt-manager/virt-manager.log for any backtraces? Or run 'virt-manager --debug' and try to reproduce, then post the output
Comment 2 dgersting 2015-11-24 17:21:58 EST
I'm not able to find any stack traces in virt-manager.log so I launched virt-manager with the --debug flag and have attached the resulting log.

With some more fiddling, I'm able to reproduce this using only 1 VM (there's 6 total running and 1 paused VMs, but I don't interact with them to trigger this bug) By repeatedly opening and closing the same VM's details window on the 3rd opening it'll fail to connect.

Annotated log file is attached.
Comment 3 dgersting 2015-11-24 17:22 EST
Created attachment 1098443 [details]
Debug log from virt-manager while reproducing bug

Note You need to log in before you can comment on or make changes to this bug.